Subject: Re: [sfc] OK. Enough with the looping (spiralling :-) [Was: decrementing service function path index]

From: Sumandra Majee <[email-masked]>
Date: Thu, 10 Nov 2016 21:50:00 +0000

“[Med] We already have a "CP controlled SFC forwarding table". The consensus of the WG on the forwarding table is as follows (CP draft):
SK> Thanks for this information.
So, SPI is a primary key and probably SI and other information are additional keys. It does not however mandate a specific values for SI. I will take this to mean, CP draft already allows any SI value to be programmed. Please let me now if this is incorrect interpretation.”

I have always interpreted (at least implemented) with SPI being the primary key along with position/ordinal number of SF which is can be derived from interface/port/vlan etc. 
Next_hop = table[SPI][position]

If the position of the SF can almost always be derived independent of SI. The SI is not the ordinal number of service node in a given path, to me it means,
a) A SF has rendered service
b) This path has a loop. 

I don’t think one should depend SI to figure out the end of chain either.

On 11/7/16, 2:36 PM, "sfc on behalf of Surendra Kumar (smkumar)" <[email-masked] on behalf of [email-masked]> wrote:

    [Med] We already have a "CP controlled SFC forwarding table". The consensus of the WG on the forwarding table is as follows (CP draft):
    SK> Thanks for this information.
    So, SPI is a primary key and probably SI and other information are additional keys. It does not however mandate a specific values for SI. I will take this to mean, CP draft already allows any SI value to be programmed. Please let me now if this is incorrect interpretation.